Bug 326861 - SELinux is preventing nscd (nscd_t) "execute_no_trans" to /usr/sbin/nscd
SELinux is preventing nscd (nscd_t) "execute_no_trans" to /usr/sbin/nscd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 15:39 EDT by Doug Maxey
Modified: 2008-01-30 14:19 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:19:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Maxey 2007-10-10 15:39:12 EDT
Description of problem:

Summary
    SELinux is preventing nscd (nscd_t) "execute_no_trans" to /usr/sbin/nscd
    (nscd_exec_t).

Detailed Description
    SELinux denied access requested by nscd. It is not expected that this access
    is required by nscd and this access may signal an intrusion attempt. It is
    also possible that the specific version or configuration of the application
    is causing it to require additional access.

Allowing Access
    Sometimes labeling problems can cause SELinux denials.  You could try to
    restore the default system file context for /usr/sbin/nscd, restorecon -v
    /usr/sbin/nscd If this does not work, there is currently no automatic way to
    allow this access. Instead,  you can generate a local policy module to allow
    this access - see http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385
    Or you can disable SELinux protection altogether. Disabling SELinux
    protection is not recommended. Please file a
    http://bugzilla.redhat.com/bugzilla/enter_bug.cgi against this package.

Additional Information        

Source Context                system_u:system_r:nscd_t:s0
Target Context                system_u:object_r:nscd_exec_t:s0
Target Objects                /usr/sbin/nscd [ file ]
Affected RPM Packages         nscd-2.6.90-17 [target]
Policy RPM                    selinux-policy-3.0.8-18.fc8
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   plugins.catchall_file
Host Name                     xxxxx
Platform                      Linux xxxxxx
                              2.6.23-0.224.rc9.git6.fc8 #1 SMP Mon Oct 8
                              15:32:01 EDT 2007 i686 i686
Alert Count                   38
First Seen                    Fri Sep 21 19:03:01 2007
Last Seen                     Wed Oct 10 12:45:56 2007
Local ID                      f5c25c25-4292-43f5-978d-00f558304929
Line Numbers                  

Raw Audit Messages            

avc: denied { execute_no_trans } for comm=nscd dev=sda5 path=/usr/sbin/nscd
pid=2138 scontext=system_u:system_r:nscd_t:s0 tclass=file
tcontext=system_u:object_r:nscd_exec_t:s0

Version-Release number of selected component (if applicable):


How reproducible:
when it happens, there are dozens.

Steps to Reproduce:
1. N/A
2.
3.
  
Actual results:


Expected results:


Additional info:
I would open this against the nscd component, but don't see one.

Did not request, nor even know what the nscd package does, other than it was
installed by default.
Comment 1 Daniel Walsh 2007-10-11 10:07:34 EDT
nscd is part of glibc-2.6.90-17.src.rpm

rpm -qif /usr/sbin/nscd 
Will show you the source package an executable is built from.  So I guess nscd
is execing itself,  So I will add to policy to allow this to happen

selinux-policy-3.0.8-21
Comment 2 Ulrich Drepper 2007-10-11 11:24:09 EDT
In paranoia mode nscd re-execs itself after a while.  So this transition must be
allowed.
Comment 3 Daniel Walsh 2008-01-30 14:19:09 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.